package com.clx.performance.service.loan;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.clx.performance.param.pc.loan.carrier.PageCarrierOwnerPaymentParam;
import com.clx.performance.vo.pc.loan.carrier.CarrierOwnerPaymentVO;
import com.clx.performance.vo.pc.loan.carrier.OwnerPaymentVO;

/**
 * @author kavin
 * Date 2024-01-20
 * Time 13:31
 */
public interface OwnerPaymentService {
    IPage<OwnerPaymentVO> pageOwnerPayment(PageCarrierOwnerPaymentParam param);

    CarrierOwnerPaymentVO getOwnerPaymentDetail(Integer id);

    void pay(Integer id);
}
